﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage<egTracker.Models.AdvancedPermissions.Edit_TicketsView>" %>

<asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
	<%=Model.PageTitle %>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">

<% using(Html.BeginForm()) { %>

<h2><%=Model.PageTitle %></h2>

<%= Html.ValidationSummary("Edit was unsuccessful. Please correct the errors and try again.") %>

<div class="Section">
Name: <%=Html.TextBox("Name") %>
</div>

<div class="Section">
Parent Permission: Tickets - View
</div>

<div class="Section">
			
	<div class="Item">
		<div><b>Ticket types:</b></div>
		<div>
			<%=Html.RadioButton("TicketTypesRadio", "All", new { onChange="checkListBox_TicketTypes();" })%>All
			<%=Html.RadioButton("TicketTypesRadio", "Selected", new { onChange = "checkListBox_TicketTypes();" })%>Selected
		</div>
		<div><%=Html.ListBox("TicketTypes", Model.TicketTypes_List) %></div>
	</div>
			
</div>

<div class="Section">

	<div class="Item">
		<div><b>Standard fields:</b></div>
		<div>
			<%=Html.RadioButton("FieldsStandardRadio", "All", new { onChange = "checkListBox_FieldsStandard();" })%>All
			<%=Html.RadioButton("FieldsStandardRadio", "Selected", new { onChange = "checkListBox_FieldsStandard();" })%>Selected
		</div>
		<div><%=Html.ListBox("FieldsStandard", Model.FieldsStandard_List, new { style="height:230px;" })%></div>
	</div>

	<div class="Item">
		<div><b>Custom fields:</b></div>
		<div>
			<%=Html.RadioButton("FieldsCustomRadio", "All", new { onChange = "checkListBox_FieldsCustom();" })%>All
			<%=Html.RadioButton("FieldsCustomRadio", "Selected", new { onChange = "checkListBox_FieldsCustom();" })%>Selected
		</div>
		<div><%=Html.ListBox("FieldsCustom", Model.FieldsCustom_List, new { style = "height:230px;" })%></div>
	</div>

</div>
		
<div class="Section" style="padding-top:10px;"><input type="submit" name="Save" value="Save" /></div>

<% } %>

<script language="javascript" type="text/javascript">

	function checkListBox_TicketTypes() {

		//ticketTypesRadio		
		var radioChecked = new String();
		radioChecked = $('input:radio[name=TicketTypesRadio]:checked').val();

		//disable/enable list-box
		var listBox = $('#TicketTypes');
		if (radioChecked == 'All')
			listBox.attr('disabled', 'disabled');
		else
			listBox.attr('disabled', '');

	}

	function checkListBox_FieldsStandard() {

		//ticketTypesRadio		
		var radioChecked = new String();
		radioChecked = $('input:radio[name=FieldsStandardRadio]:checked').val();

		//disable/enable list-box
		var listBox = $('#FieldsStandard');
		if (radioChecked == 'All')
			listBox.attr('disabled', 'disabled');
		else
			listBox.attr('disabled', '');

	}

	function checkListBox_FieldsCustom() {

		//ticketTypesRadio		
		var radioChecked = new String();
		radioChecked = $('input:radio[name=FieldsCustomRadio]:checked').val();

		//disable/enable list-box
		var listBox = $('#FieldsCustom');
		if (radioChecked == 'All')
			listBox.attr('disabled', 'disabled');
		else
			listBox.attr('disabled', '');

	}

	$(document).ready(function () {
		checkListBox_TicketTypes();
		checkListBox_FieldsStandard();
		checkListBox_FieldsCustom();
	});


</script>

</asp:Content>

<asp:Content ID="Content3" ContentPlaceHolderID="HeadContent" runat="server">
</asp:Content>

